<?php
namespace app\cms\event;

use think\Controller;

class Friend extends Controller
{
    protected $query = [];
    
    public function _initialize()
    {
        $this->query = $this->request->param();

        parent::_initialize();
    }
    
    public function create()
    {
        
        $this->assign('query', $this->query);
        
        $this->assign('items', model('cms/Friend','loglic')->items($this->query));

		return $this->fetch('cms@friend/create');
    }
    
    public function edit()
    {
        if(!$info_id = input('id/d',0)){
            $this->error(lang('mustIn'));
        }
        
        //查询数据
        $data = articleId($info_id);
        if( is_null($data) ){
            $this->error(lang('empty'));
        }
        
        //定义变量
        $this->assign('data', $data);
        
        $this->assign('items', model('cms/Friend','loglic')->items($data));
        
        return $this->fetch('cms@friend/edit');
    }
    
    public function preview()
    {
        if( !$info_id = input('id/d',0) ){
            $this->error(lang('mustIn'));
        }
        $info = articleId($info_id);
        if($info['info_referer']){
            $this->redirect($info['info_referer'], 302);
        }
        $this->error( lang('empty') );
    }
    
    public function index()
    {
        //地址栏参数
        $this->assign('query', $this->query);
        //表单筛选字段
        $this->assign('items', model('cms/Friend','loglic')->items($this->query));
        //表格列字段
        $this->assign('columns', model('cms/Friend','loglic')->columns($this->query));
        //加载模板
		return $this->fetch('cms@friend/index');
	}
}